.\"
.\" netname.man,v 1.9 2011/08/25 18:00:21 kim Exp
.\"
.TH NETNAME 1 "25 August 2011" "TAC 1.9"
.SH NAME 
.B netname
- Return the canonical network name of a host
.SH SYNOPSIS
.B netname
[
.B \-a
]
[
.B \-d
]
[
.B \-v
]
[
.I host
]
.br
.SH DESCRIPTION
.I netname
returns the canonical network name of the given host
on the standard output.  If no host is given, the name
of the local machine is used.
.PP
If  the
.B \-d
option is specified, then only the domain part of the
canonical network name is returned (i.e. the part after
the first dot in the name).
.PP
A top-level name is its own domain (i.e. names without
dots are considered both the canonical network name and
the domain).
.PP
The
.B \-a
option will do a reverse lookup on each address found
for the host and print both the addresses and associated
names. This is primarily useful for debugging DNS and
the resolver functionality of the host.
.PP
To check the version of the binary use the
.B \-v
option.
.SH EXAMPLES
HOST=`netname`
.br
setenv HOST `netname`
.SH RETURN VALUE
.TP 3
.B 0
Successful completion.
.TP
.B 1
Cannot resolve network name.
.TP
.B 2
Cannot get the name of the local machine from
.IR uname (2).
.SH BUGS
No known bugs.
.SH AUTHOR
Kimmo Suominen <kim@tac.nyc.ny.us>
.SH SEE ALSO
.IR hostname (1),
.IR nodename (1),
.IR uname (1),
.IR uname (2),
.IR getaddrinfo (3),
.IR getnameinfo (3)
